App::Pinto::Command::rename(3pm)

NAME
App::Pinto::Command::rename - change the name of a stack

VERSION
version 0.097

SYNOPSIS
  pinto --root=REPOSITORY_ROOT rename [OPTIONS] FROM_STACK TO_STACK

DESCRIPTION
This command changes the name of an existing stack. Once the name is changed, you will not be able to perform commands or access archives via the old stack name.

See the new command to create a new empty stack, or the copy command to duplicate an existing stack, or the props command to change a stack's properties after it has been created.

COMMAND ARGUMENTS
The two required arguments are the current name and new name of the stack. Stack names must be alphanumeric plus hyphens and underscores, and are not case-sensitive.

COMMAND OPTIONS
NONE.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.